DynamicJava Javadoc: Class Parser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser
Class Parser

    java.lang.Object
      |
      +--koala.dynamicjava.parser.Parser

All Implemented Interfaces:
  ParserConstants

public class Parser
extends java.lang.Object
implements ParserConstants

This class represents a (interpreted) Java 1.1 language parser

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Fields inherited from interface koala.dynamicjava.parser.ParserConstants
`_DEFAULT, ABSTRACT, AND_ASSIGN, ASSIGN, BANG, BITWISE_AND, BITWISE_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONDITIONAL_AND, CONDITIONAL_OR, CONST, CONTINUE, DECIMAL_LITERAL, DECREMENT, DEFAULT, DIGIT, DO, DOT, DOUBLE, DOUBLE_LITERAL, ELSE, EOF, EQUAL, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOAT_LITERAL, FOR, FORMAL_COMMENT, GOTO, GREATER_OR_EQUAL, GREATER_THAN, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCREMENT, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LEFT_SHIFT, LEFT_SHIFT_ASSIGN, LESS, LESS_OR_EQUAL, LETTER, LONG, LONG_LITERAL, LPAREN, MINUS, MINUS_ASSIGN, MULTI_LINE_COMMENT, NATIVE, NEW, NOT_EQUAL, NULL, OCTAL_LITERAL, OR_ASSIGN, PACKAGE, PLUS, PLUS_ASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REMAINDER, REMAINDER_ASSIGN, RETURN, RIGHT_SIGNED_SHIFT, RIGHT_SIGNED_SHIFT_ASSIGN, RIGHT_UNSIGNED_SHIFT, RIGHT_UNSIGNED_SHIFTASSIGN, RPAREN, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASH_ASSIGN, STAR, STAR_ASSIGN, STATIC, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XOR_ASSIGN`

Constructor Summary
`Parser(java.io.InputStream stream)`
`Parser(ParserTokenManager tm)`
`Parser(java.io.Reader stream)`

Method Summary
`Expression` | `additiveExpression()` Used internally to parse an expression
`void` | `additiveExpressionLookahead()` Used internally for lookahead
`Expression` | `allocationExpression()` Used internally to parse an expression
`void` | `allocationExpressionLookahead()` Used internally for lookahead
`Expression` | `andExpression()` Used internally to parse an expression
`void` | `andExpressionLookahead()` Used internally for lookahead
`java.util.List` | `argumentList()` Used internally to parse an expression
`koala.dynamicjava.parser.Parser.ArgumentsSuffix` | `arguments()` Used internally to parse an expression
`void` | `argumentsLookahead()` Used internally for lookahead
`ArrayAllocation.TypeDescriptor` | `arrayDimsAndInits()` Used internally to parse an expression
`void` | `arrayDimsAndInitsLookahead()` Used internally for lookahead
`ArrayInitializer` | `arrayInitializer()` Parses an array initializer
`void` | `arrayInitializerLookahead()` Used internally for lookahead
`koala.dynamicjava.parser.Parser.ExpressionSuffix` | `arrayReference()` Used internally to parse an expression
`void` | `assignmentOperatorLookahead()` Used internally for lookahead
`BlockStatement` | `block()` Parses a block
`void` | `blockLookahead()` Used internally for lookahead
`java.util.List` | `blockStatement()` Parses one block statement.
`void` | `blockStatementLookahead()` Used internally for lookahead
`BreakStatement` | `breakStatement()` Parses a break statement
`void` | `breakStatementLookahead()` Used internally for lookahead
`Expression` | `castExpression()` Used internally to parse an expression
`void` | `castExpressionLookahead()` Used internally for lookahead
`void` | `castLookahead()` Used internally for lookahead
`koala.dynamicjava.parser.Parser.ClassBody` | `classBody()` Used internally to parse the body of a class
`java.util.List` | `classBodyDeclaration()` Parses one declaration in the body of a class.
`void` | `classBodyDeclarationLookahead()` Used internally for lookahead
`void` | `classBodyLookahead()` Used internally for lookahead
`ClassDeclaration` | `classDeclaration()` Parses a class declaration
`void` | `classDeclarationLookahead()` Used internally for lookahead
`void` | `classDeclarationLookahead2()` Used internally for lookahead
`Expression` | `classExpression()` Used internally to parse an expression
`Expression` | `conditionalAndExpression()` Used internally to parse an expression
`void` | `conditionalAndExpressionLookahead()` Used internally for lookahead
`Expression` | `conditionalExpression()` Used internally to parse an expression
`void` | `conditionalExpressionLookahead()` Used internally for lookahead
`Expression` | `conditionalOrExpression()` Used internally to parse an expression
`void` | `conditionalOrExpressionLookahead()` Used internally for lookahead
`ConstructorDeclaration` | `constructorDeclaration()` Parses a constructor declaration
`void` | `constructorDeclarationLookahead()` Used internally for lookahead
`void` | `constructorDeclarationLookahead2()` Used internally for lookahead
`ContinueStatement` | `continueStatement()` Parses a continue statement
`void` | `continueStatementLookahead()` Used internally for lookahead
`void` | `disable_tracing()`
`DoStatement` | `doStatement()` Parses a do statement
`void` | `doStatementLookahead()` Used internally for lookahead
`koala.dynamicjava.parser.Parser.ExpressionSuffix` | `dotAllocationExpression()` Used internally to parse an expression
`koala.dynamicjava.parser.Parser.ExpressionSuffix` | `dotIdentifier()` Used internally to parse an expression
`koala.dynamicjava.parser.Parser.ExpressionSuffix` | `dotThis()` Used internally to parse an expression
`EmptyStatement` | `emptyStatement()` Parses an empty statement
`void` | `enable_tracing()`
`Expression` | `equalityExpression()` Used internally to parse an expression
`void` | `equalityExpressionLookahead()` Used internally for lookahead
`Expression` | `exclusiveOrExpression()` Used internally to parse an expression
`void` | `exclusiveOrExpressionLookahead()` Used internally for lookahead
`ConstructorInvocation` | `explicitConstructorInvocation()` Parses a constructor invocation
`void` | `explicitConstructorInvocationLookahead()` Used internally for lookahead
`Expression` | `expression()` Parses an expression
`void` | `expressionLookahead()` Used internally for lookahead
`Expression` | `expressionSuffix(Expression pre)` Used internally to parse an expression
`java.util.List` | `fieldDeclaration()` Parses a field declaration.
`void` | `fieldDeclarationLookahead()` Used internally for lookahead
`java.util.List` | `forInit()` Used internally to parse a 'for' statement
`void` | `forInitLookahead()` Used internally for lookahead
`FormalParameter` | `formalParameter()` Parses one formal parameter
`void` | `formalParameterLookahead()` Used internally for lookahead
`java.util.List` | `formalParameters()` Parses formal parameters of the form '(param, param, ...)'
`void` | `formalParametersLookahead()` Used internally for lookahead
`ForStatement` | `forStatement()` Parses a for statement
`void` | `forStatementLookahead()` Used internally for lookahead
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`Statement` | `ifStatement()` Parses an if statement
`void` | `ifStatementLookahead()` Used internally for lookahead
`ImportDeclaration` | `importDeclaration()` Parses an import declaration
`Expression` | `inclusiveOrExpression()` Used internally to parse an expression
`void` | `inclusiveOrExpressionLookahead()` Used internally for lookahead
`Initializer` | `initializer()` Parses one initializer
`void` | `initializerLookahead()` Used internally for lookahead
`Expression` | `instanceOfExpression()` Used internally to parse an expression
`void` | `instanceOfExpressionLookahead()` Used internally for lookahead
`InterfaceDeclaration` | `interfaceDeclaration()` Parses a interface declaration
`void` | `interfaceDeclarationLookahead()` Used internally for lookahead
`void` | `interfaceDeclarationLookahead2()` Used internally for lookahead
`java.util.List` | `interfaceMemberDeclaration()` Parses one declaration in the body of an interface.
`void` | `interfaceMemberDeclarationLookahead()` Used internally for lookahead
`Statement` | `labeledStatement()` Parses a labeled statement
`void` | `labeledStatementLookahead()` Used internally for lookahead
`Expression` | `literal()` Used internally to parse an expression
`void` | `literalLookahead()` Used internally for lookahead
`java.util.List` | `localVariableDeclaration()` Parses one variable declaration
`void` | `localVariableDeclarationLookahead()` Used internally for lookahead
`MethodDeclaration` | `methodDeclaration()` Parses a method declaration
`void` | `methodDeclarationLookahead()` Used internally for lookahead
`void` | `methodDeclarationLookahead2()` Used internally for lookahead
`void` | `methodDeclaratorLookahead()` Used internally for lookahead
`koala.dynamicjava.parser.Parser.ModifierFlags` | `modifiers()` Used internally to parse a modifier
`void` | `modifiersLookahead()` Used internally for lookahead
`Expression` | `multiplicativeExpression()` Used internally to parse an expression
`void` | `multiplicativeExpressionLookahead()` Used internally for lookahead
`java.util.List` | `name()` Parses a name
`java.util.List` | `nameList()` Parses a comma separated list of names
`void` | `nameListLookahead()` Used internally for lookahead
`void` | `nameLookahead()` Used internally for lookahead
`PackageDeclaration` | `packageDeclaration()` Parses a package declaration
`java.util.List` | `parseCompilationUnit()` Parses a Java compilation unit
`java.util.List` | `parseStream()` Parses top level statements.
`Expression` | `postfixExpression()` Used internally to parse an expression
`void` | `postfixExpressionLookahead()` Used internally for lookahead
`Expression` | `preDecrementExpression()` Used internally to parse an expression
`void` | `preDecrementExpressionLookahead()` Used internally for lookahead
`Expression` | `preIncrementExpression()` Used internally to parse an expression
`void` | `preIncrementExpressionLookahead()` Used internally for lookahead
`Expression` | `primaryExpression()` Used internally to parse an expression
`void` | `primaryExpressionLookahead()` Used internally for lookahead
`Expression` | `primaryPrefix()` Used internally to parse an expression
`void` | `primaryPrefixLookahead()` Used internally for lookahead
`koala.dynamicjava.parser.Parser.ExpressionSuffix` | `primarySuffix()` Used internally to parse an expression
`void` | `primarySuffixLookahead()` Used internally for lookahead
`Type` | `primitiveType()` Used internally to parse types
`void` | `primitiveTypeLookahead()` Used internally for lookahead
`Expression` | `qualifiedName()` Used internally to parse an expression
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(ParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`
`Expression` | `relationalExpression()` Used internally to parse an expression
`void` | `relationalExpressionLookahead()` Used internally for lookahead
`Type` | `resultType()` Used internally to parse types
`void` | `resultTypeLookahead()` Used internally for lookahead
`ReturnStatement` | `returnStatement()` Parses a return statement
`void` | `returnStatementLookahead()` Used internally for lookahead
`void` | `setFilename(java.lang.String fname)` Sets the current filename
`Expression` | `shiftExpression()` Used internally to parse an expression
`void` | `shiftExpressionLookahead()` Used internally for lookahead
`Allocation` | `simpleAllocationExpression()` Used internally to parse an expression
`Node` | `statement()` Parses one statement
`Node` | `statementExpression()` Parses one statement expression
`java.util.List` | `statementExpressionList()` Parses a comma separated list of expression
`void` | `statementExpressionListLookahead()` Used internally for lookahead
`void` | `statementExpressionLookahead()` Used internally for lookahead
`void` | `statementLookahead()` Used internally for lookahead
`Expression` | `superExpression()` Used internally to parse an expression
`SwitchStatement` | `switchStatement()` Parses a switch statement
`void` | `switchStatementLookahead()` Used internally for lookahead
`SynchronizedStatement` | `synchronizedStatement()` Parses a synchronized statement
`void` | `synchronizedStatementLookahead()` Used internally for lookahead
`Expression` | `thisExpression()` Used internally to parse an expression
`ThrowStatement` | `throwStatement()` Parses a throw statement
`void` | `throwStatementLookahead()` Used internally for lookahead
`Node` | `topLevelStatement()` Parses one top level statement.
`TryStatement` | `tryStatement()` Parses a try statement
`void` | `tryStatementLookahead()` Used internally for lookahead
`Type` | `type()` Used internally to parse types
`TypeDeclaration` | `typeDeclaration()` Parses a type declaration
`void` | `typeLookahead()` Used internally for lookahead
`Expression` | `unaryExpression()` Used internally to parse an expression
`void` | `unaryExpressionLookahead()` Used internally for lookahead
`Expression` | `unaryExpressionNotPlusMinus()` Used internally to parse an expression
`void` | `unaryExpressionNotPlusMinusLookahead()` Used internally for lookahead
`ClassDeclaration` | `unmodifiedClassDeclaration(koala.dynamicjava.parser.Parser.ModifierFlags mf)` Parses a class declaration without modifier
`void` | `unmodifiedClassDeclarationLookahead()` Used internally for lookahead
`InterfaceDeclaration` | `unmodifiedInterfaceDeclaration(koala.dynamicjava.parser.Parser.ModifierFlags mf)` Parses a interface declaration without modifier
`void` | `unmodifiedInterfaceDeclarationLookahead()` Used internally for lookahead
`void` | `variableDeclaratorIdLookahead()` Used internally for lookahead
`void` | `variableDeclaratorLookahead()` Used internally for lookahead
`Expression` | `variableInitializer()` Parses a variable initializer (ie.
`void` | `variableInitializerLookahead()` Used internally for lookahead
`WhileStatement` | `whileStatement()` Parses a while statement
`void` | `whileStatementLookahead()` Used internally for lookahead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### Parser

    public Parser(java.io.InputStream stream)

### Parser

    public Parser(java.io.Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### setFilename

    public void setFilename(java.lang.String fname)

  Sets the current filename
  Parameters:
    `fname` - the name of the input file

### parseStream

    public final java.util.List parseStream()
                                     throws ParseException

  Parses top level statements. This production is not a Java language rule. It is used by DynamicJava.
  Returns:
    a list of nodes (possibly empty)
  See Also:
    `Node`

### topLevelStatement

    public final Node topLevelStatement()
                                 throws ParseException

  Parses one top level statement. This production is not a Java language rule. It is used by DynamicJava.
  Returns:
    a node
  See Also:
    `Node`

### parseCompilationUnit

    public final java.util.List parseCompilationUnit()
                                              throws ParseException

  Parses a Java compilation unit
  Returns:
    a list of nodes (possibly empty)
  See Also:
    `Node`

### packageDeclaration

    public final PackageDeclaration packageDeclaration()
                                                throws ParseException

  Parses a package declaration
  See Also:
    `PackageDeclaration`

### importDeclaration

    public final ImportDeclaration importDeclaration()
                                              throws ParseException

  Parses an import declaration
  See Also:
    `ImportDeclaration`

### typeDeclaration

    public final TypeDeclaration typeDeclaration()
                                          throws ParseException

  Parses a type declaration
  See Also:
    `TypeDeclaration`

### name

    public final java.util.List name()
                              throws ParseException

  Parses a name
  Returns:
    a list of tree token
  See Also:
    `TreeToken`

### nameList

    public final java.util.List nameList()
                                  throws ParseException

  Parses a comma separated list of names
  Returns:
    a list of list of token
  See Also:
    `TreeToken`

### classDeclaration

    public final ClassDeclaration classDeclaration()
                                            throws ParseException

  Parses a class declaration
  See Also:
    `ClassDeclaration`

### modifiers

    public final koala.dynamicjava.parser.Parser.ModifierFlags modifiers()
                                                                  throws ParseException

  Used internally to parse a modifier

### unmodifiedClassDeclaration

    public final ClassDeclaration unmodifiedClassDeclaration(koala.dynamicjava.parser.Parser.ModifierFlags mf)
                                                      throws ParseException

  Parses a class declaration without modifier
  See Also:
    `ClassDeclaration`

### classBody

    public final koala.dynamicjava.parser.Parser.ClassBody classBody()
                                                              throws ParseException

  Used internally to parse the body of a class

### classBodyDeclaration

    public final java.util.List classBodyDeclaration()
                                              throws ParseException

  Parses one declaration in the body of a class.
  Returns:
    a list of node because one field declaration can contain multiple declarations.
  See Also:
    `Node`

### fieldDeclaration

    public final java.util.List fieldDeclaration()
                                          throws ParseException

  Parses a field declaration.
  Returns:
    a list of field declaration because one field declaration can contain multiple declarations.
  See Also:
    `FieldDeclaration`

### methodDeclaration

    public final MethodDeclaration methodDeclaration()
                                              throws ParseException

  Parses a method declaration
  See Also:
    `MethodDeclaration`

### formalParameters

    public final java.util.List formalParameters()
                                          throws ParseException

  Parses formal parameters of the form '(param, param, ...)'
  See Also:
    `FormalParameter`

### formalParameter

    public final FormalParameter formalParameter()
                                          throws ParseException

  Parses one formal parameter
  See Also:
    `FormalParameter`

### initializer

    public final Initializer initializer()
                                  throws ParseException

  Parses one initializer
  See Also:
    `Initializer`

### constructorDeclaration

    public final ConstructorDeclaration constructorDeclaration()
                                                        throws ParseException

  Parses a constructor declaration
  See Also:
    `ConstructorDeclaration`

### explicitConstructorInvocation

    public final ConstructorInvocation explicitConstructorInvocation()
                                                              throws ParseException

  Parses a constructor invocation
  See Also:
    `ConstructorInvocation`

### interfaceDeclaration

    public final InterfaceDeclaration interfaceDeclaration()
                                                    throws ParseException

  Parses a interface declaration
  See Also:
    `InterfaceDeclaration`

### unmodifiedInterfaceDeclaration

    public final InterfaceDeclaration unmodifiedInterfaceDeclaration(koala.dynamicjava.parser.Parser.ModifierFlags mf)
                                                              throws ParseException

  Parses a interface declaration without modifier
  See Also:
    `InterfaceDeclaration`

### interfaceMemberDeclaration

    public final java.util.List interfaceMemberDeclaration()
                                                    throws ParseException

  Parses one declaration in the body of an interface.
  Returns:
    a list of node because one field declaration can contain multiple declarations.
  See Also:
    `Node`

### arrayInitializer

    public final ArrayInitializer arrayInitializer()
                                            throws ParseException

  Parses an array initializer
  See Also:
    `ArrayInitializer`

### variableInitializer

    public final Expression variableInitializer()
                                         throws ParseException

  Parses a variable initializer (ie. an expression or an array initializer)
  See Also:
    `Expression`

### block

    public final BlockStatement block()
                               throws ParseException

  Parses a block
  See Also:
    `BlockStatement`

### blockStatement

    public final java.util.List blockStatement()
                                        throws ParseException

  Parses one block statement.
  Returns:
    a list of node because one variable declaration can contain multiple declarations.
  See Also:
    `Node`

### localVariableDeclaration

    public final java.util.List localVariableDeclaration()
                                                  throws ParseException

  Parses one variable declaration
  Returns:
    a list of node because one variable declaration can contain multiple declarations.
  See Also:
    `VariableDeclaration`

### statement

    public final Node statement()
                         throws ParseException

  Parses one statement
  See Also:
    `Node`

### labeledStatement

    public final Statement labeledStatement()
                                     throws ParseException

  Parses a labeled statement
  See Also:
    `ContinueTarget`, `LabeledStatement`

### emptyStatement

    public final EmptyStatement emptyStatement()
                                        throws ParseException

  Parses an empty statement
  See Also:
    `EmptyStatement`

### ifStatement

    public final Statement ifStatement()
                                throws ParseException

  Parses an if statement
  See Also:
    `IfThenStatement`, `IfThenElseStatement`

### whileStatement

    public final WhileStatement whileStatement()
                                        throws ParseException

  Parses a while statement
  See Also:
    `WhileStatement`

### doStatement

    public final DoStatement doStatement()
                                  throws ParseException

  Parses a do statement
  See Also:
    `DoStatement`

### switchStatement

    public final SwitchStatement switchStatement()
                                          throws ParseException

  Parses a switch statement
  See Also:
    `SwitchStatement`

### forStatement

    public final ForStatement forStatement()
                                    throws ParseException

  Parses a for statement
  See Also:
    `ForStatement`

### forInit

    public final java.util.List forInit()
                                 throws ParseException

  Used internally to parse a 'for' statement

### statementExpressionList

    public final java.util.List statementExpressionList()
                                                 throws ParseException

  Parses a comma separated list of expression

### breakStatement

    public final BreakStatement breakStatement()
                                        throws ParseException

  Parses a break statement
  See Also:
    `BreakStatement`

### continueStatement

    public final ContinueStatement continueStatement()
                                              throws ParseException

  Parses a continue statement
  See Also:
    `ContinueStatement`

### returnStatement

    public final ReturnStatement returnStatement()
                                          throws ParseException

  Parses a return statement
  See Also:
    `ReturnStatement`

### throwStatement

    public final ThrowStatement throwStatement()
                                        throws ParseException

  Parses a throw statement
  See Also:
    `ThrowStatement`

### synchronizedStatement

    public final SynchronizedStatement synchronizedStatement()
                                                      throws ParseException

  Parses a synchronized statement
  See Also:
    `SynchronizedStatement`

### tryStatement

    public final TryStatement tryStatement()
                                    throws ParseException

  Parses a try statement
  See Also:
    `TryStatement`

### statementExpression

    public final Node statementExpression()
                                   throws ParseException

  Parses one statement expression
  See Also:
    `Expression`

### expression

    public final Expression expression()
                                throws ParseException

  Parses an expression
  See Also:
    `Expression`

### expressionSuffix

    public final Expression expressionSuffix(Expression pre)
                                      throws ParseException

  Used internally to parse an expression

### conditionalExpression

    public final Expression conditionalExpression()
                                           throws ParseException

  Used internally to parse an expression

### conditionalOrExpression

    public final Expression conditionalOrExpression()
                                             throws ParseException

  Used internally to parse an expression

### conditionalAndExpression

    public final Expression conditionalAndExpression()
                                              throws ParseException

  Used internally to parse an expression

### inclusiveOrExpression

    public final Expression inclusiveOrExpression()
                                           throws ParseException

  Used internally to parse an expression

### exclusiveOrExpression

    public final Expression exclusiveOrExpression()
                                           throws ParseException

  Used internally to parse an expression

### andExpression

    public final Expression andExpression()
                                   throws ParseException

  Used internally to parse an expression

### equalityExpression

    public final Expression equalityExpression()
                                        throws ParseException

  Used internally to parse an expression

### instanceOfExpression

    public final Expression instanceOfExpression()
                                          throws ParseException

  Used internally to parse an expression

### relationalExpression

    public final Expression relationalExpression()
                                          throws ParseException

  Used internally to parse an expression

### shiftExpression

    public final Expression shiftExpression()
                                     throws ParseException

  Used internally to parse an expression

### additiveExpression

    public final Expression additiveExpression()
                                        throws ParseException

  Used internally to parse an expression

### multiplicativeExpression

    public final Expression multiplicativeExpression()
                                              throws ParseException

  Used internally to parse an expression

### unaryExpression

    public final Expression unaryExpression()
                                     throws ParseException

  Used internally to parse an expression

### unaryExpressionNotPlusMinus

    public final Expression unaryExpressionNotPlusMinus()
                                                 throws ParseException

  Used internally to parse an expression

### castExpression

    public final Expression castExpression()
                                    throws ParseException

  Used internally to parse an expression

### preIncrementExpression

    public final Expression preIncrementExpression()
                                            throws ParseException

  Used internally to parse an expression

### preDecrementExpression

    public final Expression preDecrementExpression()
                                            throws ParseException

  Used internally to parse an expression

### postfixExpression

    public final Expression postfixExpression()
                                       throws ParseException

  Used internally to parse an expression

### primaryExpression

    public final Expression primaryExpression()
                                       throws ParseException

  Used internally to parse an expression

### primaryPrefix

    public final Expression primaryPrefix()
                                   throws ParseException

  Used internally to parse an expression

### primarySuffix

    public final koala.dynamicjava.parser.Parser.ExpressionSuffix primarySuffix()
                                                                         throws ParseException

  Used internally to parse an expression

### dotThis

    public final koala.dynamicjava.parser.Parser.ExpressionSuffix dotThis()
                                                                   throws ParseException

  Used internally to parse an expression

### dotAllocationExpression

    public final koala.dynamicjava.parser.Parser.ExpressionSuffix dotAllocationExpression()
                                                                                   throws ParseException

  Used internally to parse an expression

### simpleAllocationExpression

    public final Allocation simpleAllocationExpression()
                                                throws ParseException

  Used internally to parse an expression

### dotIdentifier

    public final koala.dynamicjava.parser.Parser.ExpressionSuffix dotIdentifier()
                                                                         throws ParseException

  Used internally to parse an expression

### arrayReference

    public final koala.dynamicjava.parser.Parser.ExpressionSuffix arrayReference()
                                                                          throws ParseException

  Used internally to parse an expression

### arguments

    public final koala.dynamicjava.parser.Parser.ArgumentsSuffix arguments()
                                                                    throws ParseException

  Used internally to parse an expression

### argumentList

    public final java.util.List argumentList()
                                      throws ParseException

  Used internally to parse an expression

### literal

    public final Expression literal()
                             throws ParseException

  Used internally to parse an expression

### thisExpression

    public final Expression thisExpression()
                                    throws ParseException

  Used internally to parse an expression

### superExpression

    public final Expression superExpression()
                                     throws ParseException

  Used internally to parse an expression

### qualifiedName

    public final Expression qualifiedName()
                                   throws ParseException

  Used internally to parse an expression

### classExpression

    public final Expression classExpression()
                                     throws ParseException

  Used internally to parse an expression

### allocationExpression

    public final Expression allocationExpression()
                                          throws ParseException

  Used internally to parse an expression

### arrayDimsAndInits

    public final ArrayAllocation.TypeDescriptor arrayDimsAndInits()
                                                           throws ParseException

  Used internally to parse an expression

### type

    public final Type type()
                    throws ParseException

  Used internally to parse types

### resultType

    public final Type resultType()
                          throws ParseException

  Used internally to parse types

### primitiveType

    public final Type primitiveType()
                             throws ParseException

  Used internally to parse types

### castLookahead

    public final void castLookahead()
                             throws ParseException

  Used internally for lookahead

### typeLookahead

    public final void typeLookahead()
                             throws ParseException

  Used internally for lookahead

### resultTypeLookahead

    public final void resultTypeLookahead()
                                   throws ParseException

  Used internally for lookahead

### nameLookahead

    public final void nameLookahead()
                             throws ParseException

  Used internally for lookahead

### primitiveTypeLookahead

    public final void primitiveTypeLookahead()
                                      throws ParseException

  Used internally for lookahead

### literalLookahead

    public final void literalLookahead()
                                throws ParseException

  Used internally for lookahead

### explicitConstructorInvocationLookahead

    public final void explicitConstructorInvocationLookahead()
                                                      throws ParseException

  Used internally for lookahead

### argumentsLookahead

    public final void argumentsLookahead()
                                  throws ParseException

  Used internally for lookahead

### expressionLookahead

    public final void expressionLookahead()
                                   throws ParseException

  Used internally for lookahead

### assignmentOperatorLookahead

    public final void assignmentOperatorLookahead()
                                           throws ParseException

  Used internally for lookahead

### conditionalExpressionLookahead

    public final void conditionalExpressionLookahead()
                                              throws ParseException

  Used internally for lookahead

### conditionalOrExpressionLookahead

    public final void conditionalOrExpressionLookahead()
                                                throws ParseException

  Used internally for lookahead

### conditionalAndExpressionLookahead

    public final void conditionalAndExpressionLookahead()
                                                 throws ParseException

  Used internally for lookahead

### inclusiveOrExpressionLookahead

    public final void inclusiveOrExpressionLookahead()
                                              throws ParseException

  Used internally for lookahead

### exclusiveOrExpressionLookahead

    public final void exclusiveOrExpressionLookahead()
                                              throws ParseException

  Used internally for lookahead

### andExpressionLookahead

    public final void andExpressionLookahead()
                                      throws ParseException

  Used internally for lookahead

### equalityExpressionLookahead

    public final void equalityExpressionLookahead()
                                           throws ParseException

  Used internally for lookahead

### instanceOfExpressionLookahead

    public final void instanceOfExpressionLookahead()
                                             throws ParseException

  Used internally for lookahead

### relationalExpressionLookahead

    public final void relationalExpressionLookahead()
                                             throws ParseException

  Used internally for lookahead

### shiftExpressionLookahead

    public final void shiftExpressionLookahead()
                                        throws ParseException

  Used internally for lookahead

### additiveExpressionLookahead

    public final void additiveExpressionLookahead()
                                           throws ParseException

  Used internally for lookahead

### multiplicativeExpressionLookahead

    public final void multiplicativeExpressionLookahead()
                                                 throws ParseException

  Used internally for lookahead

### unaryExpressionLookahead

    public final void unaryExpressionLookahead()
                                        throws ParseException

  Used internally for lookahead

### preIncrementExpressionLookahead

    public final void preIncrementExpressionLookahead()
                                               throws ParseException

  Used internally for lookahead

### preDecrementExpressionLookahead

    public final void preDecrementExpressionLookahead()
                                               throws ParseException

  Used internally for lookahead

### unaryExpressionNotPlusMinusLookahead

    public final void unaryExpressionNotPlusMinusLookahead()
                                                    throws ParseException

  Used internally for lookahead

### postfixExpressionLookahead

    public final void postfixExpressionLookahead()
                                          throws ParseException

  Used internally for lookahead

### castExpressionLookahead

    public final void castExpressionLookahead()
                                       throws ParseException

  Used internally for lookahead

### primaryExpressionLookahead

    public final void primaryExpressionLookahead()
                                          throws ParseException

  Used internally for lookahead

### primaryPrefixLookahead

    public final void primaryPrefixLookahead()
                                      throws ParseException

  Used internally for lookahead

### primarySuffixLookahead

    public final void primarySuffixLookahead()
                                      throws ParseException

  Used internally for lookahead

### allocationExpressionLookahead

    public final void allocationExpressionLookahead()
                                             throws ParseException

  Used internally for lookahead

### classBodyLookahead

    public final void classBodyLookahead()
                                  throws ParseException

  Used internally for lookahead

### classBodyDeclarationLookahead

    public final void classBodyDeclarationLookahead()
                                             throws ParseException

  Used internally for lookahead

### initializerLookahead

    public final void initializerLookahead()
                                    throws ParseException

  Used internally for lookahead

### modifiersLookahead

    public final void modifiersLookahead()
                                  throws ParseException

  Used internally for lookahead

### constructorDeclarationLookahead

    public final void constructorDeclarationLookahead()
                                               throws ParseException

  Used internally for lookahead

### constructorDeclarationLookahead2

    public final void constructorDeclarationLookahead2()
                                                throws ParseException

  Used internally for lookahead

### methodDeclarationLookahead

    public final void methodDeclarationLookahead()
                                          throws ParseException

  Used internally for lookahead

### methodDeclarationLookahead2

    public final void methodDeclarationLookahead2()
                                           throws ParseException

  Used internally for lookahead

### nameListLookahead

    public final void nameListLookahead()
                                 throws ParseException

  Used internally for lookahead

### methodDeclaratorLookahead

    public final void methodDeclaratorLookahead()
                                         throws ParseException

  Used internally for lookahead

### formalParametersLookahead

    public final void formalParametersLookahead()
                                         throws ParseException

  Used internally for lookahead

### formalParameterLookahead

    public final void formalParameterLookahead()
                                        throws ParseException

  Used internally for lookahead

### fieldDeclarationLookahead

    public final void fieldDeclarationLookahead()
                                         throws ParseException

  Used internally for lookahead

### variableDeclaratorLookahead

    public final void variableDeclaratorLookahead()
                                           throws ParseException

  Used internally for lookahead

### variableDeclaratorIdLookahead

    public final void variableDeclaratorIdLookahead()
                                             throws ParseException

  Used internally for lookahead

### blockLookahead

    public final void blockLookahead()
                              throws ParseException

  Used internally for lookahead

### blockStatementLookahead

    public final void blockStatementLookahead()
                                       throws ParseException

  Used internally for lookahead

### statementLookahead

    public final void statementLookahead()
                                  throws ParseException

  Used internally for lookahead

### labeledStatementLookahead

    public final void labeledStatementLookahead()
                                         throws ParseException

  Used internally for lookahead

### statementExpressionLookahead

    public final void statementExpressionLookahead()
                                            throws ParseException

  Used internally for lookahead

### switchStatementLookahead

    public final void switchStatementLookahead()
                                        throws ParseException

  Used internally for lookahead

### ifStatementLookahead

    public final void ifStatementLookahead()
                                    throws ParseException

  Used internally for lookahead

### whileStatementLookahead

    public final void whileStatementLookahead()
                                       throws ParseException

  Used internally for lookahead

### doStatementLookahead

    public final void doStatementLookahead()
                                    throws ParseException

  Used internally for lookahead

### forStatementLookahead

    public final void forStatementLookahead()
                                     throws ParseException

  Used internally for lookahead

### forInitLookahead

    public final void forInitLookahead()
                                throws ParseException

  Used internally for lookahead

### statementExpressionListLookahead

    public final void statementExpressionListLookahead()
                                                throws ParseException

  Used internally for lookahead

### breakStatementLookahead

    public final void breakStatementLookahead()
                                       throws ParseException

  Used internally for lookahead

### continueStatementLookahead

    public final void continueStatementLookahead()
                                          throws ParseException

  Used internally for lookahead

### returnStatementLookahead

    public final void returnStatementLookahead()
                                        throws ParseException

  Used internally for lookahead

### throwStatementLookahead

    public final void throwStatementLookahead()
                                       throws ParseException

  Used internally for lookahead

### synchronizedStatementLookahead

    public final void synchronizedStatementLookahead()
                                              throws ParseException

  Used internally for lookahead

### localVariableDeclarationLookahead

    public final void localVariableDeclarationLookahead()
                                                 throws ParseException

  Used internally for lookahead

### tryStatementLookahead

    public final void tryStatementLookahead()
                                     throws ParseException

  Used internally for lookahead

### arrayDimsAndInitsLookahead

    public final void arrayDimsAndInitsLookahead()
                                          throws ParseException

  Used internally for lookahead

### arrayInitializerLookahead

    public final void arrayInitializerLookahead()
                                         throws ParseException

  Used internally for lookahead

### variableInitializerLookahead

    public final void variableInitializerLookahead()
                                            throws ParseException

  Used internally for lookahead

### classDeclarationLookahead

    public final void classDeclarationLookahead()
                                         throws ParseException

  Used internally for lookahead

### classDeclarationLookahead2

    public final void classDeclarationLookahead2()
                                          throws ParseException

  Used internally for lookahead

### unmodifiedClassDeclarationLookahead

    public final void unmodifiedClassDeclarationLookahead()
                                                   throws ParseException

  Used internally for lookahead

### interfaceDeclarationLookahead

    public final void interfaceDeclarationLookahead()
                                             throws ParseException

  Used internally for lookahead

### interfaceDeclarationLookahead2

    public final void interfaceDeclarationLookahead2()
                                              throws ParseException

  Used internally for lookahead

### unmodifiedInterfaceDeclarationLookahead

    public final void unmodifiedInterfaceDeclarationLookahead()
                                                       throws ParseException

  Used internally for lookahead

### interfaceMemberDeclarationLookahead

    public final void interfaceMemberDeclarationLookahead()
                                                   throws ParseException

  Used internally for lookahead

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.